using AutobusApi.Domain.Common;
using AutobusApi.Domain.Enums;

namespace AutobusApi.Domain.Entities;

public class TicketGroup : EntityBase
{
    public required string BuyerFirstName { get; set; }

    public required string BuyerLastName { get; set; }

    public required string BuyerPhoneNumber { get; set; }

    public required string BuyerEmailAddress { get; set; }

    public required string PassengerFirstName { get; set; }

    public required string PassengerLastName { get; set; }

    public required string PassengerPatronymic { get; set; }

    public required Sex PassengerSex { get; set; }

    public required DateOnly PassengerBirthDate { get; set; }

    public required DateTime PurchaseDateTimeUtc { get; set; }

    public required bool IsReturned { get; set; }

    public int? UserId { get; set; }

    public User? User { get; set; }

    public required int TicketDocumentId { get; set; }

    public TicketDocument TicketDocument { get; set; } = null!;

    public ICollection<Ticket> Tickets { get; set; } = null!;
}
